export const getMetadataFromUrl = async (imageUrl?: string) => {
  if (imageUrl === undefined) {
    return {};
  }

  if (typeof window !== 'undefined') {
    const { getMetadataFromUrl: client } = await import('./client');
    return client(imageUrl);
  }

  const { getMetadataFromUrl: server } = await import('./server');
  return server(imageUrl);
};

export * from './common';
